- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# osgGL2 Namespace Reference

The osgGL2 is a NodeKit library that extends the core scene graph to support OpenGL Shader Language. More...

## Classes
class | Extensions
| Extensions class which encapsulates the querying of extensions and associated function pointers, and provide convenience wrappers to check for the extensions or use the associated functions. More...
class | ProgramObject
| osgGL2::ProgramObject is an application-level abstraction of the OpenGL Shading Language glProgramObject. More...
class | ShaderObject
| osgGL2::ShaderObject is an application-level abstraction of the OpenGL Shading Language glShaderObject. More...
class | UniformValue
| osgGL2::UniformValue is for internal use by osgGL2::ProgramObject. More...
class | UniformValueTemplate
| UniformValueTemplate creates the concrete classes for each of the uniform value types. More...
## Typedefs
typedef osg::ref_ptr< ProgramObject > | ProgramObjectPtr
typedef osg::ref_ptr< ShaderObject > | ShaderObjectPtr
typedef std::vector< osg::ref_ptr< UniformValue > > | UniformValueList
typedef UniformValueTemplate< int > | UniformValue_int
typedef UniformValueTemplate< float > | UniformValue_float
typedef UniformValueTemplate< osg::Vec2 > | UniformValue_Vec2
typedef UniformValueTemplate< osg::Vec3 > | UniformValue_Vec3
typedef UniformValueTemplate< osg::Vec4 > | UniformValue_Vec4

## Detailed Description

The osgGL2 is a NodeKit library that extends the core scene graph to support OpenGL Shader Language.

## Typedef Documentation

typedef osg::ref_ptr<ProgramObject> osgGL2::ProgramObjectPtr

typedef osg::ref_ptr<ShaderObject> osgGL2::ShaderObjectPtr

typedef UniformValueTemplate<float> osgGL2::UniformValue_float

typedef UniformValueTemplate<int> osgGL2::UniformValue_int

typedef UniformValueTemplate<osg::Vec2> osgGL2::UniformValue_Vec2

typedef UniformValueTemplate<osg::Vec3> osgGL2::UniformValue_Vec3

typedef UniformValueTemplate<osg::Vec4> osgGL2::UniformValue_Vec4

typedef std::vector< osg::ref_ptr<UniformValue> > osgGL2::UniformValueList